unit uVirtualKeyCode;

interface

uses Rubies, Windows;

procedure Init_VirtualKeyCode;

implementation

uses uPhi;

procedure Init_VirtualKeyCode;
begin
  rb_define_const(mPhi, 'VK_LBUTTON', INT2FIX(VK_LBUTTON));
  rb_define_const(mPhi, 'VK_RBUTTON', INT2FIX(VK_RBUTTON));
  rb_define_const(mPhi, 'VK_CANCEL', INT2FIX(VK_CANCEL));
  rb_define_const(mPhi, 'VK_MBUTTON', INT2FIX(VK_MBUTTON));
  rb_define_const(mPhi, 'VK_BACK', INT2FIX(VK_BACK));
  rb_define_const(mPhi, 'VK_TAB', INT2FIX(VK_TAB));
  rb_define_const(mPhi, 'VK_CLEAR', INT2FIX(VK_CLEAR));
  rb_define_const(mPhi, 'VK_RETURN', INT2FIX(VK_RETURN));
  rb_define_const(mPhi, 'VK_SHIFT', INT2FIX(VK_SHIFT));
  rb_define_const(mPhi, 'VK_CONTROL', INT2FIX(VK_CONTROL));
  rb_define_const(mPhi, 'VK_MENU', INT2FIX(VK_MENU));
  rb_define_const(mPhi, 'VK_PAUSE', INT2FIX(VK_PAUSE));
  rb_define_const(mPhi, 'VK_CAPITAL', INT2FIX(VK_CAPITAL));
  rb_define_const(mPhi, 'VK_KANA', INT2FIX(VK_KANA));
  rb_define_const(mPhi, 'VK_HANGUL', INT2FIX(VK_HANGUL));
  rb_define_const(mPhi, 'VK_JUNJA', INT2FIX(VK_JUNJA));
  rb_define_const(mPhi, 'VK_FINAL', INT2FIX(VK_FINAL));
  rb_define_const(mPhi, 'VK_HANJA', INT2FIX(VK_HANJA));
  rb_define_const(mPhi, 'VK_KANJI', INT2FIX(VK_KANJI));
  rb_define_const(mPhi, 'VK_CONVERT', INT2FIX(VK_CONVERT));
  rb_define_const(mPhi, 'VK_NONCONVERT', INT2FIX(VK_NONCONVERT));
  rb_define_const(mPhi, 'VK_ACCEPT', INT2FIX(VK_ACCEPT));
  rb_define_const(mPhi, 'VK_MODECHANGE', INT2FIX(VK_MODECHANGE));
  rb_define_const(mPhi, 'VK_ESCAPE', INT2FIX(VK_ESCAPE));
  rb_define_const(mPhi, 'VK_SPACE', INT2FIX(VK_SPACE));
  rb_define_const(mPhi, 'VK_PRIOR', INT2FIX(VK_PRIOR));
  rb_define_const(mPhi, 'VK_NEXT', INT2FIX(VK_NEXT));
  rb_define_const(mPhi, 'VK_END', INT2FIX(VK_END));
  rb_define_const(mPhi, 'VK_HOME', INT2FIX(VK_HOME));
  rb_define_const(mPhi, 'VK_LEFT', INT2FIX(VK_LEFT));
  rb_define_const(mPhi, 'VK_UP', INT2FIX(VK_UP));
  rb_define_const(mPhi, 'VK_RIGHT', INT2FIX(VK_RIGHT));
  rb_define_const(mPhi, 'VK_DOWN', INT2FIX(VK_DOWN));
  rb_define_const(mPhi, 'VK_SELECT', INT2FIX(VK_SELECT));
  rb_define_const(mPhi, 'VK_PRINT', INT2FIX(VK_PRINT));
  rb_define_const(mPhi, 'VK_EXECUTE', INT2FIX(VK_EXECUTE));
  rb_define_const(mPhi, 'VK_SNAPSHOT', INT2FIX(VK_SNAPSHOT));
  rb_define_const(mPhi, 'VK_INSERT', INT2FIX(VK_INSERT));
  rb_define_const(mPhi, 'VK_DELETE', INT2FIX(VK_DELETE));
  rb_define_const(mPhi, 'VK_HELP', INT2FIX(VK_HELP));
  rb_define_const(mPhi, 'VK_LWIN', INT2FIX(VK_LWIN));
  rb_define_const(mPhi, 'VK_RWIN', INT2FIX(VK_RWIN));
  rb_define_const(mPhi, 'VK_APPS', INT2FIX(VK_APPS));
  rb_define_const(mPhi, 'VK_NUMPAD0', INT2FIX(VK_NUMPAD0));
  rb_define_const(mPhi, 'VK_NUMPAD1', INT2FIX(VK_NUMPAD1));
  rb_define_const(mPhi, 'VK_NUMPAD2', INT2FIX(VK_NUMPAD2));
  rb_define_const(mPhi, 'VK_NUMPAD3', INT2FIX(VK_NUMPAD3));
  rb_define_const(mPhi, 'VK_NUMPAD4', INT2FIX(VK_NUMPAD4));
  rb_define_const(mPhi, 'VK_NUMPAD5', INT2FIX(VK_NUMPAD5));
  rb_define_const(mPhi, 'VK_NUMPAD6', INT2FIX(VK_NUMPAD6));
  rb_define_const(mPhi, 'VK_NUMPAD7', INT2FIX(VK_NUMPAD7));
  rb_define_const(mPhi, 'VK_NUMPAD8', INT2FIX(VK_NUMPAD8));
  rb_define_const(mPhi, 'VK_NUMPAD9', INT2FIX(VK_NUMPAD9));
  rb_define_const(mPhi, 'VK_MULTIPLY', INT2FIX(VK_MULTIPLY));
  rb_define_const(mPhi, 'VK_ADD', INT2FIX(VK_ADD));
  rb_define_const(mPhi, 'VK_SEPARATOR', INT2FIX(VK_SEPARATOR));
  rb_define_const(mPhi, 'VK_SUBTRACT', INT2FIX(VK_SUBTRACT));
  rb_define_const(mPhi, 'VK_DECIMAL', INT2FIX(VK_DECIMAL));
  rb_define_const(mPhi, 'VK_DIVIDE', INT2FIX(VK_DIVIDE));
  rb_define_const(mPhi, 'VK_F1', INT2FIX(VK_F1));
  rb_define_const(mPhi, 'VK_F2', INT2FIX(VK_F2));
  rb_define_const(mPhi, 'VK_F3', INT2FIX(VK_F3));
  rb_define_const(mPhi, 'VK_F4', INT2FIX(VK_F4));
  rb_define_const(mPhi, 'VK_F5', INT2FIX(VK_F5));
  rb_define_const(mPhi, 'VK_F6', INT2FIX(VK_F6));
  rb_define_const(mPhi, 'VK_F7', INT2FIX(VK_F7));
  rb_define_const(mPhi, 'VK_F8', INT2FIX(VK_F8));
  rb_define_const(mPhi, 'VK_F9', INT2FIX(VK_F9));
  rb_define_const(mPhi, 'VK_F10', INT2FIX(VK_F10));
  rb_define_const(mPhi, 'VK_F11', INT2FIX(VK_F11));
  rb_define_const(mPhi, 'VK_F12', INT2FIX(VK_F12));
  rb_define_const(mPhi, 'VK_F13', INT2FIX(VK_F13));
  rb_define_const(mPhi, 'VK_F14', INT2FIX(VK_F14));
  rb_define_const(mPhi, 'VK_F15', INT2FIX(VK_F15));
  rb_define_const(mPhi, 'VK_F16', INT2FIX(VK_F16));
  rb_define_const(mPhi, 'VK_F17', INT2FIX(VK_F17));
  rb_define_const(mPhi, 'VK_F18', INT2FIX(VK_F18));
  rb_define_const(mPhi, 'VK_F19', INT2FIX(VK_F19));
  rb_define_const(mPhi, 'VK_F20', INT2FIX(VK_F20));
  rb_define_const(mPhi, 'VK_F21', INT2FIX(VK_F21));
  rb_define_const(mPhi, 'VK_F22', INT2FIX(VK_F22));
  rb_define_const(mPhi, 'VK_F23', INT2FIX(VK_F23));
  rb_define_const(mPhi, 'VK_F24', INT2FIX(VK_F24));
  rb_define_const(mPhi, 'VK_NUMLOCK', INT2FIX(VK_NUMLOCK));
  rb_define_const(mPhi, 'VK_SCROLL', INT2FIX(VK_SCROLL));
  rb_define_const(mPhi, 'VK_LSHIFT', INT2FIX(VK_LSHIFT));
  rb_define_const(mPhi, 'VK_RSHIFT', INT2FIX(VK_RSHIFT));
  rb_define_const(mPhi, 'VK_LCONTROL', INT2FIX(VK_LCONTROL));
  rb_define_const(mPhi, 'VK_RCONTROL', INT2FIX(VK_RCONTROL));
  rb_define_const(mPhi, 'VK_LMENU', INT2FIX(VK_LMENU));
  rb_define_const(mPhi, 'VK_RMENU', INT2FIX(VK_RMENU));
  rb_define_const(mPhi, 'VK_PROCESSKEY', INT2FIX(VK_PROCESSKEY));
  rb_define_const(mPhi, 'VK_ATTN', INT2FIX(VK_ATTN));
  rb_define_const(mPhi, 'VK_CRSEL', INT2FIX(VK_CRSEL));
  rb_define_const(mPhi, 'VK_EXSEL', INT2FIX(VK_EXSEL));
  rb_define_const(mPhi, 'VK_EREOF', INT2FIX(VK_EREOF));
  rb_define_const(mPhi, 'VK_PLAY', INT2FIX(VK_PLAY));
  rb_define_const(mPhi, 'VK_ZOOM', INT2FIX(VK_ZOOM));
  rb_define_const(mPhi, 'VK_NONAME', INT2FIX(VK_NONAME));
  rb_define_const(mPhi, 'VK_PA1', INT2FIX(VK_PA1));
  rb_define_const(mPhi, 'VK_OEM_CLEAR', INT2FIX(VK_OEM_CLEAR));
end;

end.
